/*
  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.
  
  This Source Code Form is "Incompatible With Secondary Licenses", as
  defined by the Mozilla Public License, v. 2.0.
*/
var SmTestExim = {
  importWorker: null, //for worker thread

  mTestFiles: [],
  mCurr: 0,

  mPath: null,

  doOKImport: function(csvMetadataFile) {
    var req = new XMLHttpRequest();
    req.open('GET', csvMetadataFile, false);
    req.overrideMimeType('text/plain; charset=UTF-8');
    req.send(null);
    var contents = "";
    if(req.status == 0 || req.status == 200) {
      try {
      contents = JSON.parse(req.responseText);
      }
      catch (e) { alert(e.name); }
    }

    this.mTestFiles = contents.csvArray;
    this.mPath = contents.csvPath;
    this.mCurr = 0;
    this.mTestFiles[this.mCurr].file = this.mPath + this.mTestFiles[this.mCurr].file;
    SmExim.readCsvContent(this.mTestFiles[this.mCurr], SmTestExim.handleImportCompletion, false);
  },

  handleImportCompletion: function(iStatus) {
    SmExim.importWorker.terminate();
    SQLiteManager.refreshDbStructure();

    SmTestExim.mCurr++;
    if (SmTestExim.mCurr < SmTestExim.mTestFiles.length) {
      SmTestExim.mTestFiles[SmTestExim.mCurr].file = SmTestExim.mPath + SmTestExim.mTestFiles[SmTestExim.mCurr].file;
      SmExim.readCsvContent(SmTestExim.mTestFiles[SmTestExim.mCurr], SmTestExim.handleImportCompletion, false);
    }
  }
};
